"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const log_1 = __importDefault(require("./log"));
const isString_1 = __importDefault(require("lodash/isString"));
const chokidar_1 = __importDefault(require("./watcher/chokidar"));
class Routes {
    constructor(data, watcher = new chokidar_1.default()) {
        if (isString_1.default(data)) {
            this.path = path_1.default.resolve(process.cwd(), data);
            this.readRoutes();
            watcher.init(this.path, this.onFileChange.bind(this));
            return;
        }
        this.routes = data;
    }
    readRoutes() {
        this.routes = JSON.parse(fs_1.default.readFileSync(this.path).toString());
    }
    onFileChange() {
        log_1.default.log(log_1.default.blue(`JSON Schema updated.`));
        this.readRoutes();
    }
}
exports.default = Routes;
//# sourceMappingURL=routes.js.map