"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = __importDefault(require("yargs"));
const server_1 = __importDefault(require("./server"));
const first_1 = __importDefault(require("lodash/first"));
function start() {
    const argv = yargs_1.default
        .config("config")
        .usage("$0 [options] <source>")
        .option("port", {
        alias: "p",
        default: 8000,
    })
        .option("host", {
        alias: "h",
        default: "0.0.0.0",
    })
        .help("help")
        .version(require("../package.json").version)
        .alias("version", "v")
        .example("$0 db.json", "")
        .require(1, "Missing <source> argument").argv;
    server_1.default.create(argv.port, argv.host, first_1.default(argv._)).start();
}
exports.default = start;
//# sourceMappingURL=start.js.map